[core]
; arch: type of computer: [pcjr, xt, tandy, at]
; baseram: amount of base RAM, in kb (64-640)
; turbo: 0=lowest speed (default, usually 4.77MHz), 1=highest
; cpu: allow overriding cpu for a given arch: [8086|86, 80186|186, 80286|286]
baseram=640
arch=xt
turbo=1
cpu=

[video]
; mode: [cga, pcjr, tga (tandy), mda (mono), hgc (hercules mono), ega, vga]
; monitor: rgb, mono[white|green|amber], composite
; charrom: character rom for alpha modes
; charrom.[cga|pcjr|tga|etc]: override for specific video mode
; border: 0 to disable, >0 to set border size
; fullscreen: 0 for window, 1 for full screen
; filtering: 0|nearest, 1|linear, 2|best (anisotropic, Direct3D)
mode=vga
monitor=rgb
charrom=data/XT/CGA_CHAR.BIN
border=
fullscreen=0
filtering=

[video.ega]
; EGA-specific Configuration
; ram: [64, 128, 256] (default: 256)
; mode: ega card emulation mode [cga40|cga80|mda|ega|egaemu] (default: ega)
;
; syncpelpan: 1 to synchronize pel panning with frames (default: 0, disabled)
; Some games (Commander Keen 4-6 for instance) change the pel panning register
; outside of the blanking interval, resulting in jerky scrolling.
; Warning: Can make things worse in other games. Enable only as needed.
ram=256
mode=ega
;syncpelpan=1

[sound]
; mute: [true|1]=mute, all other values=false
; raw: path for raw audio data file
; volume: master volume [0..128], default 128
; soundcard:
;  - [pcjr|tandy] SN76489: 3 voice + noise channels. Automatically
;    added if arch=[pcjr|tandy]. Can be optionally added to arch=xt.
;    Not available on AT because port collides with the 2nd DMA controller (base=0xC0)
;  - [cms|gb] CMS GameBlaster. Dual SAA1099: 2x6 voices, 2x2 noise channels.
;	 Can be optionally added to arch=[xt|at]. Base=0x220 (hardcoded for now)
;  - [dss|covox] Disney Sound Source. Parallel port DAC.
;	 Can be optionally added to arch=[xt|at]. Base=0x378 (hardcoded for now)
mute=
;raw=
volume=
soundcard=cms

[floppy]
; enable: 0=disable floppy controller
; floppy.x: raw floppy disk image (auto-detect geometry 160/180/320/360/720/1.44)
enable=1
;floppy.1=P:\floppy\MS-DOS.3.3.d1.img
floppy.2=

[hdd]
; enable: 0=disable hard disk controller
; rom: hdd controller rom image (default: data/hdd/WD1002S-WX2_62-000042-11.bin)
; hdd.x: [type],[image file]
;        where type=[20|33], (chs=[615|1000],4,17)
enable=1
;rom=
hdd.1=33,P:\floppy\c33-DOS5.img
hdd.2=20,P:\floppy\c20-Games2.img

[joystick]
; enable: 0=disable joystick port
; trim.x/y: Trimming values for joystick [-127..127], default 0
enable=1
trim.x=-22
trim.y=-22

[mouse]
; enable: 0=disable mouse
; com: COM port to use [1-4], default 1
; port: use custom base port
; irq: use custom irq
enable=1
com=1
;port=
;irq=

[rtc]
; Real Time Clock module (RTC) based on the common MM58167/UM82C8167
; enable: 0=disable Real Time Clock module
; port: base port
enable=1

[debug]
;logfile=dump/trace.at.log
logfile.flush=0
;customROMFile=
;customROMAddress=

[loglevels]
; 0=off, 1=ERROR, 2=WARNING, 3=INFO, 4=DEBUG, 5=TRACE
post=3
pc=2
cpu=2
memory=1
memory.ega=2
memory.vga=2
pit=2
pic=2
ppi=2
dma=2
dma.page=2
floppy=2
hdd=2
mouse=2
keyboard=2
video=2
rtc=2
sound=3
sound.pc=0
sound.pcjr=2
sound.cms=2
sound.dss=2
inputs=2
joystick=0
mainwindow=3

[monitor]
; F12 in console window toggles the Monitor view
; breakpoint=xxxx:yyyy (segment:offset, in hex) to stop at specfied address
; custommem=xxxx:yyyy to set custom memory view in monitor
;breakpoint=F000:1D6E
custommem=0D8A:0000
